Package org.apache.cxf.resource

# Class ExtendedURIResolver

java.lang.Object
org.apache.cxf.resource.ExtendedURIResolver

Direct Known Subclasses:
  `TransportURIResolver`

public class ExtendedURIResolver extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected URIResolver`
  `currentResolver`
  `protected String`
  `lastestImportUri`
  `protected final Deque<InputStream>`
  `resourceOpened`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtendedURIResolver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `String`
  `getLatestImportURI()`
  `String`
  `getURI()`
  `InputSource`
  `resolve(String curUri, String baseUri)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### currentResolver

    protected URIResolver currentResolver

  - ### lastestImportUri

    protected String lastestImportUri

  - ### resourceOpened

    protected final Deque<InputStream> resourceOpened

- ## Constructor Details

  - ### ExtendedURIResolver

    public ExtendedURIResolver()

- ## Method Details

  - ### resolve

    public InputSource resolve(String curUri, String baseUri)

  - ### close

    public void close()

  - ### getLatestImportURI

    public String getLatestImportURI()

  - ### getURI

    public String getURI()